<?php  

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_them_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_them_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'luzuk_them_premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_them_Switch_Control(
		$wp_customize,
		'luzuk_them_premium_slider_show_content',
		array(
			'settings'      => 'luzuk_them_premium_slider_show_content',
			'section'       => 'luzuk_them_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);

$wp_customize->add_setting('luzuk_them_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_them_sanitize_text'));
$wp_customize->add_control(
	new luzuk_them_Info_Text( 
		$wp_customize,
		'luzuk_them_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_them_premium_slider_section_lbl',
			'section'		=> 'luzuk_them_premium_slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'Luzuk' ),
		)
	)
);




lzCustomLable($wp_customize, 'luzuk_them_slideropacilty', 'luzuk_them_premium_slider_section', 'Set slider overlay opacity & slider overlay Background color:');


$wp_customize->add_setting(
	'pages_slideopacity',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( '0.6', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_slideopacity',
	array(
		'settings'      => 'pages_slideopacity',
		'section'       => 'luzuk_them_premium_slider_section',
		'type'          => 'text',
		'label'         => __( 'Add Opacity Here:', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'slider_overlaybgsColor', 'luzuk_them_premium_slider_section', 'Slider Overlay Background Color', '#333333');

lzCustomLable($wp_customize, 'luzuk_them_sliderotherclrs', 'luzuk_them_premium_slider_section', 'Set Slider Title, Subtitle & Button Colors:');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'luzuk_them_premium_slider_section', 'Slider Sub Title Color', '#f96e57');


// Slider Title color
addColorPalatOption($wp_customize, 'slider_TitleColor', 'luzuk_them_premium_slider_section', 'Slider Title Color', '#fff');
// Slider Sub Title color

// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'luzuk_them_premium_slider_section', 'Slider Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'slider_buttontexthoverColor', 'luzuk_them_premium_slider_section', 'Slider Button Text Hover Color', '#f96e57');
// Slider Button Background color
addColorPalatOption($wp_customize, 'slider_buttonbgColor', 'luzuk_them_premium_slider_section', 'Slider Button Background Color', '#f96e57');
addColorPalatOption($wp_customize, 'slider_buttonbghoverColor', 'luzuk_them_premium_slider_section', 'Slider Button Background Hover Color', '#fff');


addColorPalatOption($wp_customize, 'slider_prevnextbutborderColor', 'luzuk_them_premium_slider_section', 'Slider Prev & Next Button Border Color', '#ffffff');

addColorPalatOption($wp_customize, 'slider_prevandnxtbuttonbgsshoverColor', 'luzuk_them_premium_slider_section', 'Slider Prev & Next Button Hover Background Color', '#a39c91');

lzCustomLable($wp_customize, 'luzuk_them_premium_bouncarrdispdisplay', 'luzuk_them_premium_slider_section', 'Bouncing Arrow Display & Color Setting:');
// to show & hide another button
$wp_customize->add_setting( 'bouncingicon_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'bouncingicon_button_display', array( 'label' => 'Bouncing Arrow Display', 'section' => 'luzuk_them_premium_slider_section', 'settings' => 'bouncingicon_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Bouncing Arrow', 'hide' => 'Hide Bouncing Arrow', ), ) ); 
// end to show & hide button


$wp_customize->add_setting('luzuk_them_header_bouncingbuttonlink',   array('default'=> 'Add Bouncing Arrow Home Section id here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_header_bouncingbuttonlink',
    array(
        'settings'      => 'luzuk_them_header_bouncingbuttonlink',
        'section'       => 'luzuk_them_premium_slider_section',
        'type'          => 'url',
        'label'         => __( 'Section id [#ct-service-box]', 'Unbox' )
    )
);

addColorPalatOption($wp_customize, 'slider_bouncingarrowColor', 'luzuk_them_premium_slider_section', 'Slider Bouncing Arrow Color', '#ffffff');


